disableButton = false;

function wyslijDane()
{
  var tfImieText = document.getElementById("tfImie").value;
  var tfNazwiskoText = document.getElementById("tfNazwisko").value;
  var btnWyslij = document.getElementById("btnWyslij");

  url = "http://localhost/dane.php?imie=" + tfImieText;
  url += "&nazwisko=" + tfNazwiskoText;
  url = encodeURI(url);

  btnWyslij.disabled = true;
  startGETRequest(url, onComplete, onEnd);
}

function onComplete(text, xml)
{
  arr = text.split(":");
  var tfImie = document.getElementById("tfImie");
  var tfNazwisko = document.getElementById("tfNazwisko");

  if(arr[0] == "error"){
    if(arr.length == 2){
      if(arr[1] == "imie"){
        tekst = "Nieprawidłowe dane w polu 'Imię'.";
        tfImie.style.backgroundColor = "#FFFF00";
        tfNazwisko.style.backgroundColor = "#FFFFFF";
      }
      else if(arr[1] == "nazwisko"){
        tekst = "Nieprawidłowe dane w polu 'Nazwisko'.";
        tfImie.style.backgroundColor = "#FFFFFF";
        tfNazwisko.style.backgroundColor = "#FFFF00";
      }
      else{
        tekst = "Nieprawidłowa odpowiedź serwera.";
      }
    }
    else if(arr.length == 3){
      if(arr[1] == "imie" && arr[2] == "nazwisko"){
        tekst = "Nieprawidłowe dane w polach 'Imię' i 'Nazwisko'.";
        tfImie.style.backgroundColor = "#FFFF00";
        tfNazwisko.style.backgroundColor = "#FFFF00";
      }
    }
    else{
      tekst = "Nieprawidłowa odpowiedź serwera.";
    }
    disableButton = false;
    alert(tekst);
  }
  else{
    tfImie.style.backgroundColor = "#FFFFFF";
    tfNazwisko.style.backgroundColor = "#FFFFFF";
    alert(text);
    disableButton = true;
  }
}

function onEnd()
{
  if(!disableButton){
    var btnWyslij = document.getElementById("btnWyslij");
    btnWyslij.disabled = false;
  }
}